YAZ-CONFIG(8)

NAME
yaz-config - Script to get information about YAZ.

SYNOPSIS
yaz-config [ --prefix[=DIR] ] [ --version ] [ --libs ] [ --lalibs ] [ --cflags ] [ --comp ] [ libraries ... ]

DESCRIPTION

yaz-config is a script that returns information that your own software should use to build software that uses YAZ.

The following libraries are supported:

threads
    Use the threaded version of YAZ.

OPTIONS

--prefix[=DIR]
    Returns prefix of YAZ or assume a different one if DIR is specified.

--version
    Returns version of YAZ.

--libs
    Library specification be used when using YAZ.

--lalibs
    Return library specification.

--cflags
    Return C Compiler flags.

--comp
    Returns full path to YAZ' ASN.1 compiler: yaz-asncomp.

FILES

prefix/bin/yaz-config

prefix/lib/libyaz*.a

prefix/include/yaz/*.h

SEE ALSO

yaz(7)

Section "How to make apps using YAZ on UNIX" in the YAZ manual.